Bug 1888332 - [RFE] Provide web interface for managing User's Personal Access Tokens
Summary: [RFE] Provide web interface for managing User's Personal Access Tokens
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Users & Roles
Version: 6.11.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.10.0
Assignee: satellite6-bugs
QA Contact: Akhil Jha
URL:
Whiteboard:
Depends On:
Blocks: 1966458
TreeView+ depends on / blocked
 
Reported: 2020-10-14 15:21 UTC by Jonathon Turel
Modified: 2022-03-18 14:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
The Personal Access Token is a new mean of authentication introduced in previous version of Satellite. In this release, the new UI has been added so users can create their PATs easily, expire them or monitor their last use time. Users can find this UI in their account settings under the Personal Access Tokens tab.
Clone Of:
Environment:
Last Closed: 2021-11-16 14:09:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 31080 0 Normal Closed Add UI for managing Personal Access Tokens 2021-02-15 01:12:34 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:09:44 UTC

Description Jonathon Turel 2020-10-14 15:21:09 UTC
Description of problem:

We currently have an API for managing user's personal access tokens which can be used to authenticate to the Satellite API. However, there is no web interface for managing them which makes the Personal Access Token feature very much hidden and generally cumbersome.

Fortunately there's an upstream contribution which is adding such a UI!


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Jonathon Turel 2020-10-14 15:32:31 UTC
The upstream PR is currently in progress and before formally associating this BZ to it, I want to ensure that the correct Redmine issue is referenced, etc.

For now: https://github.com/theforeman/foreman/pull/7806

Comment 2 Bryan Kearney 2020-10-14 20:03:02 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/1301 has been resolved.

Comment 3 Jonathon Turel 2020-10-15 13:54:40 UTC
Connecting redmine issue https://projects.theforeman.org/issues/31080 from this bug

Comment 5 Bryan Kearney 2020-12-08 12:03:31 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/31080 has been resolved.

Comment 7 Akhil Jha 2021-06-01 08:35:18 UTC
Verified.

Version: Satellite 6.10-Beta snap 1

Users can now make personal access token from UI which can be used to authenticate to the Satellite.

Comment 10 errata-xmlrpc 2021-11-16 14:09:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.